Browse Source

🔖 Moving to bugfix-2.1.x

FB4S_WIFI
Scott Lahteine 2 years ago
committed by Scott Lahteine
parent
commit
7677368aaf
  1. 2
      .github/contributing.md
  2. 2
      Marlin/src/lcd/e3v2/README.md
  3. 2
      Marlin/src/lcd/e3v2/jyersui/README.md
  4. 2
      Marlin/src/pins/stm32f4/pins_ANET_ET4.h
  5. 18
      buildroot/bin/use_example_configs
  6. 2
      buildroot/share/git/mfconfig
  7. 2
      buildroot/share/git/mffp
  8. 6
      buildroot/share/git/mfinfo
  9. 18
      buildroot/share/git/mfprep

2
.github/contributing.md

@ -116,7 +116,7 @@ Unsure where to begin contributing to Marlin? You can start by looking through t
### Pull Requests
Pull Requests should always be targeted to working branches (e.g., `bugfix-2.0.x` and/or `bugfix-1.1.x`) and never to release branches (e.g., `2.0.x` and/or `1.1.x`). If this is your first Pull Request, please read our [Guide to Pull Requests](https://marlinfw.org/docs/development/getting_started_pull_requests.html) and Github's [Pull Request](https://help.github.com/articles/creating-a-pull-request/) documentation.
Pull Requests should always be targeted to working branches (e.g., `bugfix-2.1.x` and/or `bugfix-1.1.x`) and never to release branches (e.g., `2.0.x` and/or `1.1.x`). If this is your first Pull Request, please read our [Guide to Pull Requests](https://marlinfw.org/docs/development/getting_started_pull_requests.html) and Github's [Pull Request](https://help.github.com/articles/creating-a-pull-request/) documentation.
* Fill in [the required template](pull_request_template.md).
* Don't include issue numbers in the PR title.

2
Marlin/src/lcd/e3v2/README.md

@ -1,6 +1,6 @@
# DWIN for Creality Ender 3 v2
Marlin's Ender 3 v2 support requires the `DWIN_SET` included with the Ender 3 V2 [example configuration](https://github.com/MarlinFirmware/Configurations/tree/bugfix-2.0.x/config/examples/Creality/Ender-3%20V2).
Marlin's Ender 3 v2 support requires the `DWIN_SET` included with the Ender 3 V2 [example configuration](https://github.com/MarlinFirmware/Configurations/tree/bugfix-2.1.x/config/examples/Creality/Ender-3%20V2).
## Easy Install

2
Marlin/src/lcd/e3v2/jyersui/README.md

@ -1,6 +1,6 @@
# DWIN for Creality Ender 3 v2
Marlin's Ender 3 v2 support requires the `DWIN_SET` included with the Ender 3 V2 [example configuration](https://github.com/MarlinFirmware/Configurations/tree/bugfix-2.0.x/config/examples/Creality/Ender-3%20V2).
Marlin's Ender 3 v2 support requires the `DWIN_SET` included with the Ender 3 V2 [example configuration](https://github.com/MarlinFirmware/Configurations/tree/bugfix-2.1.x/config/examples/Creality/Ender-3%20V2).
## Easy Install

2
Marlin/src/pins/stm32f4/pins_ANET_ET4.h

@ -64,7 +64,7 @@
// Z Probe
//
#if ENABLED(BLTOUCH)
#error "You will need to use 24V to 5V converter and remove one resistor and capacitor from the motherboard. See https://github.com/davidtgbe/Marlin/blob/bugfix-2.0.x/docs/Tutorials/bltouch-en.md for more information. Comment out this line to proceed at your own risk."
#error "You will need to use 24V to 5V converter and remove one resistor and capacitor from the motherboard. See https://bit.ly/3xg9cXO for more information. Comment out this line to proceed at your own risk."
#define SERVO0_PIN PC3
#elif !defined(Z_MIN_PROBE_PIN)
#define Z_MIN_PROBE_PIN PC3

18
buildroot/bin/use_example_configs

@ -1,20 +1,8 @@
#!/usr/bin/env bash
#
# use_example_configs [repo:]configpath
#
# Examples:
# use_example_configs Creality/CR-10/CrealityV1
# use_example_configs release-2.0.9.4:Creality/CR-10/CrealityV1
#
# If a configpath has spaces (or quotes) escape them or enquote the path
#
CURR=$(git branch 2>/dev/null | grep ^* | sed 's/\* //g')
[[ $CURR == "bugfix-2.0.x" ]] && BRANCH=bugfix-2.0.x || BRANCH=bugfix-2.1.x
IFS=: read -r PART1 PART2 <<< "$@"
[[ -n $PART2 ]] && { REPO="$PART1" ; RDIR="${PART2// /%20}" ; } \
|| { REPO=$BRANCH ; RDIR="${PART1// /%20}" ; }
[ -n "${PART2}" ] && { REPO="$PART1" ; RDIR="${PART2// /%20}" ; } \
|| { REPO=bugfix-2.1.x ; RDIR="${PART1// /%20}" ; }
EXAMPLES="https://raw.githubusercontent.com/MarlinFirmware/Configurations/$REPO/config/examples"
which curl >/dev/null && TOOL='curl -L -s -S -f -o wgot'
@ -24,8 +12,6 @@ restore_configs
cd Marlin
echo "Fetching $RDIR configurations from $REPO..."
$TOOL "$EXAMPLES/$RDIR/Configuration.h" >/dev/null 2>&1 && mv wgot Configuration.h
$TOOL "$EXAMPLES/$RDIR/Configuration_adv.h" >/dev/null 2>&1 && mv wgot Configuration_adv.h
$TOOL "$EXAMPLES/$RDIR/_Bootscreen.h" >/dev/null 2>&1 && mv wgot _Bootscreen.h

2
buildroot/share/git/mfconfig

@ -52,7 +52,7 @@ if [[ $ACTION == "manual" ]]; then
git checkout $IMPORT || exit
# Reset from the latest complete state
#git reset --hard bugfix-2.0.x
#git reset --hard bugfix-2.1.x
cp "$MARLINREPO/Marlin/"Configuration*.h "$CDEF/"
#git add . && git commit -m "Changes from Marlin ($(date '+%Y-%m-%d %H:%M'))."

2
buildroot/share/git/mffp

@ -3,7 +3,7 @@
# mffp [1|2] [ref]
#
# Push the given commit (or HEAD) upstream immediately.
# By default: `git push upstream HEAD:bugfix-2.0.x`
# By default: `git push upstream HEAD:bugfix-2.1.x`
#
usage() { echo "usage: `basename $0` [1|2] [ref]" 1>&2 ; }

6
buildroot/share/git/mfinfo

@ -7,13 +7,13 @@
# - Remote (upstream) Org name (MarlinFirmware)
# - Remote (origin) Org name (your Github username)
# - Repo Name (Marlin, MarlinDocumentation)
# - PR Target branch (e.g., bugfix-2.0.x)
# - PR Target branch (e.g., bugfix-2.1.x)
# - Branch Arg (the branch argument or current branch)
# - Current Branch
#
# Example output
# > mfinfo -q ongoing
# MarlinFirmware john.doe Marlin bugfix-2.0.x ongoing bugfix-2.0.x -q
# MarlinFirmware john.doe Marlin bugfix-2.1.x ongoing bugfix-2.1.x -q
#
CURR=$(git branch 2>/dev/null | grep ^* | sed 's/\* //g')
@ -55,7 +55,7 @@ while [[ $# -gt 0 ]]; do
done
case "$REPO" in
Marlin ) TARG=bugfix-2.0.x ; ((INDEX == 1)) && TARG=bugfix-1.1.x ; [[ $BRANCH =~ ^[12]$ ]] && USAGE=1 ;;
Marlin ) TARG=bugfix-2.1.x ; ((INDEX == 1)) && TARG=bugfix-1.1.x ; [[ $BRANCH =~ ^[12]$ ]] && USAGE=1 ;;
Configurations ) TARG=import-2.0.x ;;
MarlinDocumentation ) TARG=master ;;
AutoBuildMarlin ) TARG=master ;;

18
buildroot/share/git/mfprep

@ -2,11 +2,11 @@
#
# mfprep tag1 [tag2]
#
# Find commits in bugfix-2.0.x that are not yet in 2.0.x.
# Find commits in bugfix-2.1.x that are not yet in 2.0.x.
#
# Specify a version tag to start from, and optional version tag to end at.
# For bugfix-2.0.x the tag will be prefixed by bf- to distinguish it from the version tag,
# so at every release be sure to create a bf- tag and publish it to origin.
# For bugfix-2.1.x the tag will be prefixed by dev- to distinguish it from the version tag,
# so at every release be sure to create a dev- tag and publish it to origin.
#
SED=$(which gsed sed | head -n1)
@ -22,12 +22,12 @@ DEST=2.1.x
# Validate that the required tags exist
MTAG=`git tag | grep -e "^bf-$TAG1\$"`
[[ -n "$MTAG" ]] || { echo "Can't find tag bf-$TAG1" ; exit 1 ; }
MTAG=`git tag | grep -e "^dev-$TAG1\$"`
[[ -n "$MTAG" ]] || { echo "Can't find tag dev-$TAG1" ; exit 1 ; }
MTAG=`git tag | grep -e "^$TAG1\$"`
[[ -n "$MTAG" ]] || { echo "Can't find tag $TAG1" ; exit 1 ; }
# Generate log of recent commits for bugfix-2.0.x and DEST
# Generate log of recent commits for bugfix-2.1.x and DEST
TMPDIR=`mktemp -d`
LOGB="$TMPDIR/log-bf.txt"
@ -35,11 +35,11 @@ LOG2="$TMPDIR/log-2x.txt"
TMPF="$TMPDIR/tmp.txt"
SCRF="$TMPDIR/update-$DEST.sh"
git checkout bugfix-2.0.x
git log --pretty="[%h] %s" bf-$TAG1..$TAG2 | grep -v '\[cron\]' | $SED '1!G;h;$!d' >"$LOGB"
git checkout bugfix-2.1.x
git log --pretty="[%h] %s" dev-$TAG1..$TAG2 | grep -v '\[cron\]' | $SED '1!G;h;$!d' >"$LOGB"
git checkout $DEST
git log --pretty="[%h] %s" $TAG1..$TAG2 | $SED '1!G;h;$!d' >"$LOG2" || { echo "Can't find tag bf-$TAG1" ; exit 1 ; }
git log --pretty="[%h] %s" $TAG1..$TAG2 | $SED '1!G;h;$!d' >"$LOG2" || { echo "Can't find tag dev-$TAG1" ; exit 1 ; }
# Go through commit text from DEST removing all matches from the bugfix log

Loading…
Cancel
Save